BizKitHub
DocsAPI ReferenceWebhook/bff/webhook/list
getWebhookAdmin BFF

/bff/webhook/list

List webhook endpoints

WebhookgetBffWebhookList

Parameters

No parameters required

This endpoint takes no path, query, header or body parameters.

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
idstringRequired

External id of the endpoint.

urlstringRequired
secretPreviewstringRequired

Start of the signing secret; the full value is returned only by create / rotate-secret.

descriptionstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
eventsstring[]Required

Subscribed events; empty = all events.

isActivebooleanRequired
failureCountnumberRequired

Consecutive failed deliveries (the endpoint is disabled at 50).

pendingCountnumberRequired
lastSuccessDatestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
lastFailureDatestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
lastErrorstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
insertedDatestringRequired
itemCountnumberRequired
eventsstring[]Required

Response example

application/json
{
  "items": [
    {
      "id": "example_id",
      "url": "example_url",
      "secretPreview": "example_secretPreview",
      "events": [
        "string"
      ],
      "isActive": false,
      "failureCount": 0,
      "pendingCount": 0,
      "insertedDate": "example_insertedDate"
    }
  ],
  "itemCount": 0,
  "events": [
    "string"
  ]
}

Request example

GET /bff/webhook/list

get
curl -X GET "https://api.bizkithub.com/bff/webhook/list" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key